http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifactsReturns a list of artifacts for a specified app, branch, and job.
The unique ID for an Amplify app.
The name of a branch that is part of an Amplify app.
The unique ID for a job.
A pagination token. Set to null to start listing artifacts from start. If a non-null pagination token is returned in a result, pass its value in here to list more artifacts.
The maximum number of records to list in a single response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifacts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifactsReturns a list of artifacts for a specified app, branch, and job.
The unique ID for an Amplify app.
The name of a branch that is part of an Amplify app.
The unique ID for a job.
A pagination token. Set to null to start listing artifacts from start. If a non-null pagination token is returned in a result, pass its value in here to list more artifacts.
The maximum number of records to list in a single response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifacts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}